Manifest-Version: 1.0
Bnd-LastModified: 1717490666189
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Document Library Service
Bundle-SymbolicName: com.liferay.document.library.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.92.hotfix-5570-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.asset.auto.tagger.text.extractor;version="2.0",com.liferay.asset.d
 isplay.page.model;version="4.1",com.liferay.asset.display.page.portle
 t;version="6.1",com.liferay.asset.display.page.service;version="2.8",
 com.liferay.asset.kernel;version="2.1",com.liferay.asset.kernel.model
 ;version="9.2",com.liferay.asset.kernel.service;version="8.1",com.lif
 eray.asset.kernel.validator;version="2.0",com.liferay.asset.util;vers
 ion="4.0",com.liferay.bulk.selection;version="2.0",com.liferay.change
 .tracking.spi.reference;version="1.0",com.liferay.change.tracking.spi
 .reference.builder;version="1.0",com.liferay.change.tracking.spi.reso
 lver;version="1.0",com.liferay.change.tracking.spi.resolver.context;v
 ersion="1.0",com.liferay.change.tracking.store.model;version="2.1",co
 m.liferay.comment.upgrade;version="3.0",com.liferay.counter.kernel.se
 rvice;version="2.2",com.liferay.data.engine.service;version="1.11",co
 m.liferay.depot.model;version="3.1",com.liferay.depot.service;version
 ="1.10",com.liferay.document.library.bulk.selection;version="1.0",com
 .liferay.document.library.configuration;version="4.0",com.liferay.doc
 ument.library.content.model;version="3.1",com.liferay.document.librar
 y.display.context;version="9.0",com.liferay.document.library.exceptio
 n;version="1.1",com.liferay.document.library.exportimport.data.handle
 r;version="1.1",com.liferay.document.library.kernel.exception;version
 ="4.2",com.liferay.document.library.kernel.model;version="8.2",com.li
 feray.document.library.kernel.service;version="11.2",com.liferay.docu
 ment.library.kernel.service.persistence;version="6.1",com.liferay.doc
 ument.library.kernel.store;version="4.1",com.liferay.document.library
 .kernel.util;version="8.0",com.liferay.document.library.kernel.util.c
 omparator;version="3.0",com.liferay.document.library.kernel.versionin
 g;version="1.0",com.liferay.document.library.model;version="3.1",com.
 liferay.document.library.security.io;version="1.0",com.liferay.docume
 nt.library.service;version="2.7",com.liferay.document.library.service
 .persistence;version="2.3",com.liferay.document.library.sync.model;ve
 rsion="3.1",com.liferay.document.library.sync.service;version="1.5",c
 om.liferay.document.library.url.provider;version="1.0",com.liferay.do
 cument.library.util;version="1.2",com.liferay.document.library.versio
 ning;version="2.0",com.liferay.dynamic.data.lists.service;version="2.
 8",com.liferay.dynamic.data.mapping.io;version="3.0",com.liferay.dyna
 mic.data.mapping.kernel;version="3.0",com.liferay.dynamic.data.mappin
 g.model;version="7.1",com.liferay.dynamic.data.mapping.security.permi
 ssion;version="1.0",com.liferay.dynamic.data.mapping.service;version=
 "3.15",com.liferay.dynamic.data.mapping.storage;version="2.1",com.lif
 eray.dynamic.data.mapping.util;version="8.0",com.liferay.expando.kern
 el.model;version="6.0",com.liferay.expando.kernel.util;version="4.0",
 com.liferay.exportimport.content.processor;version="1.0",com.liferay.
 exportimport.data.handler.base;version="1.0",com.liferay.exportimport
 .kernel.lar;version="4.4",com.liferay.exportimport.kernel.staging;ver
 sion="2.3",com.liferay.exportimport.kernel.staging.permission;version
 ="1.0",com.liferay.exportimport.kernel.xstream;version="2.0",com.life
 ray.exportimport.portlet.data.handler.util;version="1.0",com.liferay.
 exportimport.staged.model.repository;version="1.1",com.liferay.friend
 ly.url.model;version="3.1",com.liferay.friendly.url.service;version="
 2.1",com.liferay.layout.page.template.model;version="7.0",com.liferay
 .layout.page.template.service;version="5.2",com.liferay.osgi.service.
 tracker.collections.list;version="3.0",com.liferay.osgi.service.track
 er.collections.map;version="2.3",com.liferay.osgi.util.configuration;
 version="1.3",com.liferay.petra.function;version="1.5",com.liferay.pe
 tra.function.transform;version="1.2",com.liferay.petra.io;version="1.
 3",com.liferay.petra.lang;version="1.3",com.liferay.petra.reflect;ver
 sion="1.5",com.liferay.petra.sql.dsl;version="1.2",com.liferay.petra.
 sql.dsl.expression;version="1.4",com.liferay.petra.sql.dsl.query;vers
 ion="2.0",com.liferay.petra.sql.dsl.spi.expression;version="1.4",com.
 liferay.petra.string;version="1.7",com.liferay.portal.aop;version="1.
 0",com.liferay.portal.change.tracking.store,com.liferay.portal.config
 uration.metatype.annotations;version="1.6",com.liferay.portal.configu
 ration.metatype.bnd.util;version="3.0",com.liferay.portal.configurati
 on.persistence.listener;version="1.1",com.liferay.portal.configuratio
 n.upgrade;version="2.0",com.liferay.portal.convert,com.liferay.portal
 .convert.documentlibrary,com.liferay.portal.dao.orm.custom.sql;versio
 n="1.1",com.liferay.portal.instance.lifecycle;version="3.0",com.lifer
 ay.portal.json.jabsorb.serializer,com.liferay.portal.kernel.bean;vers
 ion="10.1",com.liferay.portal.kernel.cache;version="14.0",com.liferay
 .portal.kernel.change.tracking;version="2.2",com.liferay.portal.kerne
 l.comment;version="4.0",com.liferay.portal.kernel.configuration;versi
 on="7.0",com.liferay.portal.kernel.dao.db;version="12.1",com.liferay.
 portal.kernel.dao.jdbc;version="9.0",com.liferay.portal.kernel.dao.or
 m;version="12.0",com.liferay.portal.kernel.exception;version="13.1",c
 om.liferay.portal.kernel.feature.flag;version="1.0",com.liferay.porta
 l.kernel.increment;version="7.1",com.liferay.portal.kernel.io.unsync;
 version="8.0",com.liferay.portal.kernel.json;version="12.0",com.lifer
 ay.portal.kernel.language;version="11.0",com.liferay.portal.kernel.lo
 ck;version="9.0",com.liferay.portal.kernel.log;version="8.0",com.life
 ray.portal.kernel.messaging;version="15.0",com.liferay.portal.kernel.
 metadata;version="10.0",com.liferay.portal.kernel.model;version="29.2
 ",com.liferay.portal.kernel.model.change.tracking;version="3.0",com.l
 iferay.portal.kernel.model.impl;version="7.2",com.liferay.portal.kern
 el.module.framework;version="1.4",com.liferay.portal.kernel.module.fr
 amework.service;version="1.0",com.liferay.portal.kernel.portlet;versi
 on="24.1",com.liferay.portal.kernel.portlet.url.builder;version="2.0"
 ,com.liferay.portal.kernel.repository;version="13.0",com.liferay.port
 al.kernel.repository.capabilities;version="2.0",com.liferay.portal.ke
 rnel.repository.event;version="1.1",com.liferay.portal.kernel.reposit
 ory.friendly.url.resolver;version="2.0",com.liferay.portal.kernel.rep
 ository.model;version="11.2",com.liferay.portal.kernel.repository.pro
 xy;version="7.0",com.liferay.portal.kernel.repository.registry;versio
 n="1.1",com.liferay.portal.kernel.search;version="20.1",com.liferay.p
 ortal.kernel.search.filter;version="1.0",com.liferay.portal.kernel.se
 arch.generic;version="3.0",com.liferay.portal.kernel.search.result;ve
 rsion="1.0",com.liferay.portal.kernel.security.auth;version="6.0",com
 .liferay.portal.kernel.security.permission;version="6.5",com.liferay.
 portal.kernel.security.permission.resource;version="2.2",com.liferay.
 portal.kernel.service;version="23.0",com.liferay.portal.kernel.servic
 e.change.tracking;version="1.0",com.liferay.portal.kernel.service.per
 sistence;version="21.1",com.liferay.portal.kernel.service.persistence
 .change.tracking;version="1.4",com.liferay.portal.kernel.service.pers
 istence.change.tracking.helper;version="1.1",com.liferay.portal.kerne
 l.service.persistence.impl;version="4.1",com.liferay.portal.kernel.se
 ttings;version="4.0",com.liferay.portal.kernel.settings.definition;ve
 rsion="2.0",com.liferay.portal.kernel.social;version="2.0",com.lifera
 y.portal.kernel.systemevent;version="6.2",com.liferay.portal.kernel.t
 heme;version="10.5",com.liferay.portal.kernel.transaction;version="8.
 1",com.liferay.portal.kernel.trash;version="14.0",com.liferay.portal.
 kernel.upgrade;version="21.0",com.liferay.portal.kernel.upload.config
 uration;version="1.0",com.liferay.portal.kernel.util;version="59.1",c
 om.liferay.portal.kernel.workflow;version="18.2",com.liferay.portal.k
 ernel.workflow.permission;version="7.0",com.liferay.portal.kernel.xml
 ;version="7.1",com.liferay.portal.language,com.liferay.portal.model.i
 mpl,com.liferay.portal.repository.capabilities,com.liferay.portal.rep
 ository.capabilities.util,com.liferay.portal.repository.liferayreposi
 tory,com.liferay.portal.repository.liferayrepository.model,com.lifera
 y.portal.repository.portletrepository,com.liferay.portal.repository.t
 emporaryrepository,com.liferay.portal.repository.util,com.liferay.por
 tal.search.batch;version="2.0",com.liferay.portal.search.index;versio
 n="5.1",com.liferay.portal.search.indexer;version="2.1",com.liferay.p
 ortal.search.localization;version="1.0",com.liferay.portal.search.que
 ry;version="1.7",com.liferay.portal.search.spi.model.index.contributo
 r;version="1.2",com.liferay.portal.search.spi.model.index.contributor
 .helper;version="1.0",com.liferay.portal.search.spi.model.query.contr
 ibutor;version="1.1",com.liferay.portal.search.spi.model.query.contri
 butor.helper;version="2.0",com.liferay.portal.search.spi.model.regist
 rar;version="2.0",com.liferay.portal.search.spi.model.registrar.contr
 ibutor;version="1.0",com.liferay.portal.search.spi.model.result.contr
 ibutor;version="1.1",com.liferay.portal.upgrade.registry;version="5.0
 ",com.liferay.portal.upgrade.v7_3_x,com.liferay.portal.util;version="
 48.1",com.liferay.portal.verify,com.liferay.portlet.documentlibrary;v
 ersion="2.0",com.liferay.portlet.documentlibrary.lar;version="2.0",co
 m.liferay.portlet.documentlibrary.model.impl,com.liferay.portlet.docu
 mentlibrary.util;version="8.0",com.liferay.portlet.documentlibrary.we
 bdav,com.liferay.sharing.security.permission.resource;version="1.0",c
 om.liferay.staging.model.listener;version="1.0",com.liferay.subscript
 ion.model;version="3.1",com.liferay.subscription.service;version="1.8
 ",com.liferay.trash;version="2.2",com.liferay.trash.exception;version
 ="1.1",com.liferay.trash.kernel.model;version="6.0",com.liferay.trash
 .model;version="4.1",com.liferay.trash.service;version="2.6",com.life
 ray.view.count.service;version="1.6",com.liferay.xstream.configurator
 ;version="2.0",javax.portlet,javax.servlet.http,javax.sql,org.apache.
 commons.lang;version="2.6",org.osgi.framework;version="1.8",org.osgi.
 service.cm;version="1.6",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Document Library
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 3.2.7
Liferay-Service: true
Private-Package: com.liferay.document.library.events.dependencies,com.
 liferay.document.library.internal,com.liferay.document.library.intern
 al.asset.auto.tagger.text.extractor,com.liferay.document.library.inte
 rnal.asset.categories.validator,com.liferay.document.library.internal
 .bulk.selection,com.liferay.document.library.internal.bulk.selection.
 action,com.liferay.document.library.internal.bulk.selection.util,com.
 liferay.document.library.internal.change.tracking.spi.reference,com.l
 iferay.document.library.internal.change.tracking.spi.resolver,com.lif
 eray.document.library.internal.configuration,com.liferay.document.lib
 rary.internal.configuration.admin.service,com.liferay.document.librar
 y.internal.configuration.definition,com.liferay.document.library.inte
 rnal.configuration.persistence.listener,com.liferay.document.library.
 internal.constants,com.liferay.document.library.internal.convert.docu
 ment.library,com.liferay.document.library.internal.display.context,co
 m.liferay.document.library.internal.dynamic.data.mapping.util,com.lif
 eray.document.library.internal.expando.util,com.liferay.document.libr
 ary.internal.exportimport.data.handler,com.liferay.document.library.i
 nternal.exportimport.staged.model.repository,com.liferay.document.lib
 rary.internal.friendly.url.resolver,com.liferay.document.library.inte
 rnal.helper,com.liferay.document.library.internal.instance.lifecycle,
 com.liferay.document.library.internal.lar.xstream,com.liferay.documen
 t.library.internal.lar.xstream.constants,com.liferay.document.library
 .internal.lock,com.liferay.document.library.internal.model.listener,c
 om.liferay.document.library.internal.osgi.commands,com.liferay.docume
 nt.library.internal.repository.capabilities,com.liferay.document.libr
 ary.internal.repository.event,com.liferay.document.library.internal.s
 earch,com.liferay.document.library.internal.search.spi.model.index.co
 ntributor,com.liferay.document.library.internal.search.spi.model.quer
 y.contributor,com.liferay.document.library.internal.search.spi.model.
 result.contributor,com.liferay.document.library.internal.security.io,
 com.liferay.document.library.internal.security.permission,com.liferay
 .document.library.internal.security.permission.resource,com.liferay.d
 ocument.library.internal.service,com.liferay.document.library.interna
 l.settings,com.liferay.document.library.internal.trash,com.liferay.do
 cument.library.internal.upgrade.registry,com.liferay.document.library
 .internal.upgrade.v1_0_0,com.liferay.document.library.internal.upgrad
 e.v1_0_1,com.liferay.document.library.internal.upgrade.v1_0_2,com.lif
 eray.document.library.internal.upgrade.v1_1_0,com.liferay.document.li
 brary.internal.upgrade.v1_1_0.dependencies,com.liferay.document.libra
 ry.internal.upgrade.v1_1_2,com.liferay.document.library.internal.upgr
 ade.v2_0_0,com.liferay.document.library.internal.upgrade.v3_2_0,com.l
 iferay.document.library.internal.upgrade.v3_2_0.dependencies,com.life
 ray.document.library.internal.upgrade.v3_2_1,com.liferay.document.lib
 rary.internal.upgrade.v3_2_2,com.liferay.document.library.internal.up
 grade.v3_2_4,com.liferay.document.library.internal.upgrade.v3_2_5,com
 .liferay.document.library.internal.upgrade.v3_2_6,com.liferay.documen
 t.library.internal.upgrade.v3_2_7,com.liferay.document.library.intern
 al.util,com.liferay.document.library.internal.verify,com.liferay.docu
 ment.library.internal.versioning,com.liferay.document.library.interna
 l.workflow,com.liferay.document.library.internal.xstream.configurator
 ,com.liferay.document.library.model.impl,com.liferay.document.library
 .service.base,com.liferay.document.library.service.impl,com.liferay.d
 ocument.library.service.persistence.impl,com.liferay.document.library
 .service.persistence.impl.constants
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .asset.auto.tagger.text.extractor.TextExtractor";uses:="com.liferay.a
 sset.auto.tagger.text.extractor",osgi.service;objectClass:List<String
 >="com.liferay.asset.kernel.validator.AssetEntryValidatorExclusionRul
 e";uses:="com.liferay.asset.kernel.validator",osgi.service;objectClas
 s:List<String>="com.liferay.bulk.selection.BulkSelectionAction,com.li
 feray.document.library.bulk.selection.EditCategoriesBulkSelectionActi
 on,com.liferay.document.library.internal.bulk.selection.action.EditCa
 tegoriesBulkSelectionActionImpl";uses:="com.liferay.bulk.selection,co
 m.liferay.document.library.bulk.selection,com.liferay.document.librar
 y.internal.bulk.selection.action",osgi.service;objectClass:List<Strin
 g>="com.liferay.bulk.selection.BulkSelectionAction,com.liferay.docume
 nt.library.bulk.selection.EditTagsBulkSelectionAction,com.liferay.doc
 ument.library.internal.bulk.selection.action.EditTagsBulkSelectionAct
 ionImpl";uses:="com.liferay.bulk.selection,com.liferay.document.libra
 ry.bulk.selection,com.liferay.document.library.internal.bulk.selectio
 n.action",osgi.service;objectClass:List<String>="com.liferay.bulk.sel
 ection.BulkSelectionFactory,com.liferay.document.library.internal.bul
 k.selection.FileEntryBulkSelectionFactory";uses:="com.liferay.bulk.se
 lection,com.liferay.document.library.internal.bulk.selection",osgi.se
 rvice;objectClass:List<String>="com.liferay.bulk.selection.BulkSelect
 ionFactory,com.liferay.document.library.internal.bulk.selection.FileS
 hortcutBulkSelectionFactory";uses:="com.liferay.bulk.selection,com.li
 feray.document.library.internal.bulk.selection",osgi.service;objectCl
 ass:List<String>="com.liferay.bulk.selection.BulkSelectionFactory,com
 .liferay.document.library.internal.bulk.selection.FolderBulkSelection
 Factory";uses:="com.liferay.bulk.selection,com.liferay.document.libra
 ry.internal.bulk.selection",osgi.service;objectClass:List<String>="co
 m.liferay.bulk.selection.BulkSelectionFactory,com.liferay.document.li
 brary.internal.bulk.selection.RepositoryModelBulkSelectionFactory";us
 es:="com.liferay.bulk.selection,com.liferay.document.library.internal
 .bulk.selection",osgi.service;objectClass:List<String>="com.liferay.c
 hange.tracking.spi.reference.TableReferenceDefinition";uses:="com.lif
 eray.change.tracking.spi.reference",osgi.service;objectClass:List<Str
 ing>="com.liferay.change.tracking.spi.resolver.ConstraintResolver";us
 es:="com.liferay.change.tracking.spi.resolver",osgi.service;objectCla
 ss:List<String>="com.liferay.document.library.configuration.DLSizeLim
 itConfigurationProvider";uses:="com.liferay.document.library.configur
 ation",osgi.service;objectClass:List<String>="com.liferay.document.li
 brary.display.context.DLMimeTypeDisplayContext";uses:="com.liferay.do
 cument.library.display.context",osgi.service;objectClass:List<String>
 ="com.liferay.document.library.exportimport.data.handler.DLPluggableC
 ontentDataHandler";uses:="com.liferay.document.library.exportimport.d
 ata.handler",osgi.service;objectClass:List<String>="com.liferay.docum
 ent.library.internal.configuration.admin.service.DLSizeLimitManagedSe
 rviceFactory,org.osgi.service.cm.ManagedServiceFactory";uses:="com.li
 feray.document.library.internal.configuration.admin.service,org.osgi.
 service.cm",osgi.service;objectClass:List<String>="com.liferay.docume
 nt.library.internal.dynamic.data.mapping.util.DLFileEntryMetadataDDMS
 tructurePermissionSupport,com.liferay.dynamic.data.mapping.util.DDMSt
 ructurePermissionSupport";uses:="com.liferay.document.library.interna
 l.dynamic.data.mapping.util,com.liferay.dynamic.data.mapping.util",os
 gi.service;objectClass:List<String>="com.liferay.document.library.int
 ernal.dynamic.data.mapping.util.DLFileEntryMetadataDDMTemplatePermiss
 ionSupport,com.liferay.dynamic.data.mapping.util.DDMTemplatePermissio
 nSupport";uses:="com.liferay.document.library.internal.dynamic.data.m
 apping.util,com.liferay.dynamic.data.mapping.util",osgi.service;objec
 tClass:List<String>="com.liferay.document.library.internal.helper.DLE
 xportableRepositoryPublisherHelper";uses:="com.liferay.document.libra
 ry.internal.helper",osgi.service;objectClass:List<String>="com.lifera
 y.document.library.internal.osgi.commands.DLStorageQuotaOSGiCommands"
 ;uses:="com.liferay.document.library.internal.osgi.commands",osgi.ser
 vice;objectClass:List<String>="com.liferay.document.library.kernel.ut
 il.DLProcessorRegistry";uses:="com.liferay.document.library.kernel.ut
 il",osgi.service;objectClass:List<String>="com.liferay.document.libra
 ry.kernel.util.DLValidator";uses:="com.liferay.document.library.kerne
 l.util",osgi.service;objectClass:List<String>="com.liferay.document.l
 ibrary.kernel.versioning.VersioningStrategy";uses:="com.liferay.docum
 ent.library.kernel.versioning",osgi.service;objectClass:List<String>=
 "com.liferay.document.library.security.io.InputStreamSanitizer";uses:
 ="com.liferay.document.library.security.io",osgi.service;objectClass:
 List<String>="com.liferay.document.library.service.persistence.DLFile
 VersionPreviewPersistence";uses:="com.liferay.document.library.servic
 e.persistence",osgi.service;objectClass:List<String>="com.liferay.doc
 ument.library.service.persistence.DLStorageQuotaPersistence";uses:="c
 om.liferay.document.library.service.persistence",osgi.service;objectC
 lass:List<String>="com.liferay.document.library.util.DLAssetHelper";u
 ses:="com.liferay.document.library.util",osgi.service;objectClass:Lis
 t<String>="com.liferay.document.library.util.DLURLHelper";uses:="com.
 liferay.document.library.util",osgi.service;objectClass:List<String>=
 "com.liferay.document.library.versioning.VersionPurger";uses:="com.li
 feray.document.library.versioning",osgi.service;objectClass:List<Stri
 ng>="com.liferay.document.library.versioning.VersioningPolicy";uses:=
 "com.liferay.document.library.versioning",osgi.service;objectClass:Li
 st<String>="com.liferay.dynamic.data.mapping.util.DDMStructurePermiss
 ionSupport";uses:="com.liferay.dynamic.data.mapping.util",osgi.servic
 e;objectClass:List<String>="com.liferay.expando.kernel.util.ExpandoVa
 lueDeleteHandler";uses:="com.liferay.expando.kernel.util",osgi.servic
 e;objectClass:List<String>="com.liferay.exportimport.kernel.lar.Stage
 dModelDataHandler";uses:="com.liferay.exportimport.kernel.lar",osgi.s
 ervice;objectClass:List<String>="com.liferay.exportimport.staged.mode
 l.repository.StagedModelRepository";uses:="com.liferay.exportimport.s
 taged.model.repository",osgi.service;objectClass:List<String>="com.li
 feray.portal.aop.AopService";uses:="com.liferay.portal.aop",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.configuration.persis
 tence.listener.ConfigurationModelListener";uses:="com.liferay.portal.
 configuration.persistence.listener",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.convert.ConvertProcess";uses:="com.liferay.p
 ortal.convert",osgi.service;objectClass:List<String>="com.liferay.por
 tal.convert.documentlibrary.DLStoreConvertProcess";uses:="com.liferay
 .portal.convert.documentlibrary",osgi.service;objectClass:List<String
 >="com.liferay.portal.instance.lifecycle.PortalInstanceLifecycleListe
 ner";uses:="com.liferay.portal.instance.lifecycle",osgi.service;objec
 tClass:List<String>="com.liferay.portal.kernel.cache.CacheRegistryIte
 m,com.liferay.portal.kernel.repository.capabilities.PortalCapabilityL
 ocator";uses:="com.liferay.portal.kernel.cache,com.liferay.portal.ker
 nel.repository.capabilities",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:="com.lifera
 y.portal.kernel.dao.orm",osgi.service;objectClass:List<String>="com.l
 iferay.portal.kernel.lock.LockListener";uses:="com.liferay.portal.ker
 nel.lock",osgi.service;objectClass:List<String>="com.liferay.portal.k
 ernel.model.ModelListener";uses:="com.liferay.portal.kernel.model",os
 gi.service;objectClass:List<String>="com.liferay.portal.kernel.reposi
 tory.capabilities.Capability";uses:="com.liferay.portal.kernel.reposi
 tory.capabilities",osgi.service;objectClass:List<String>="com.liferay
 .portal.kernel.repository.event.FileVersionPreviewEventListener";uses
 :="com.liferay.portal.kernel.repository.event",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.kernel.repository.friendly.url.re
 solver.FileEntryFriendlyURLResolver";uses:="com.liferay.portal.kernel
 .repository.friendly.url.resolver",osgi.service;objectClass:List<Stri
 ng>="com.liferay.portal.kernel.search.DDMStructureIndexer";uses:="com
 .liferay.portal.kernel.search",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.search.OpenSearch";uses:="com.liferay.port
 al.kernel.search",osgi.service;objectClass:List<String>="com.liferay.
 portal.kernel.search.RelatedEntryIndexer";uses:="com.liferay.portal.k
 ernel.search",osgi.service;objectClass:List<String>="com.liferay.port
 al.kernel.search.result.SearchResultContributor";uses:="com.liferay.p
 ortal.kernel.search.result",osgi.service;objectClass:List<String>="co
 m.liferay.portal.kernel.security.permission.PermissionUpdateHandler";
 uses:="com.liferay.portal.kernel.security.permission",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.security.permission
 .resource.ModelResourcePermission";uses:="com.liferay.portal.kernel.s
 ecurity.permission.resource",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.security.permission.resource.PortletResource
 Permission";uses:="com.liferay.portal.kernel.security.permission.reso
 urce",osgi.service;objectClass:List<String>="com.liferay.portal.kerne
 l.service.ServiceWrapper";uses:="com.liferay.portal.kernel.service",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.setti
 ngs.FallbackKeys";uses:="com.liferay.portal.kernel.settings",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.kernel.settings.def
 inition.ConfigurationPidMapping";uses:="com.liferay.portal.kernel.set
 tings.definition",osgi.service;objectClass:List<String>="com.liferay.
 portal.kernel.trash.TrashHandler";uses:="com.liferay.portal.kernel.tr
 ash",osgi.service;objectClass:List<String>="com.liferay.portal.kernel
 .workflow.WorkflowHandler";uses:="com.liferay.portal.kernel.workflow"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.search.spi
 .model.index.contributor.ExpandoBridgeRetriever";uses:="com.liferay.p
 ortal.search.spi.model.index.contributor",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.search.spi.model.index.contributor.Mod
 elDocumentContributor";uses:="com.liferay.portal.search.spi.model.ind
 ex.contributor",osgi.service;objectClass:List<String>="com.liferay.po
 rtal.search.spi.model.index.contributor.ModelIndexerWriterContributor
 ";uses:="com.liferay.portal.search.spi.model.index.contributor",osgi.
 service;objectClass:List<String>="com.liferay.portal.search.spi.model
 .query.contributor.KeywordQueryContributor";uses:="com.liferay.portal
 .search.spi.model.query.contributor",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.search.spi.model.query.contributor.ModelPre
 FilterContributor";uses:="com.liferay.portal.search.spi.model.query.c
 ontributor",osgi.service;objectClass:List<String>="com.liferay.portal
 .search.spi.model.query.contributor.SearchContextContributor";uses:="
 com.liferay.portal.search.spi.model.query.contributor",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.search.spi.model.result.c
 ontributor.ModelSummaryContributor";uses:="com.liferay.portal.search.
 spi.model.result.contributor",osgi.service;objectClass:List<String>="
 com.liferay.portal.search.spi.model.result.contributor.ModelVisibilit
 yContributor";uses:="com.liferay.portal.search.spi.model.result.contr
 ibutor",osgi.service;objectClass:List<String>="com.liferay.portal.upg
 rade.registry.UpgradeStepRegistrator";uses:="com.liferay.portal.upgra
 de.registry",osgi.service;objectClass:List<String>="com.liferay.porta
 l.verify.VerifyProcess";uses:="com.liferay.portal.verify",osgi.servic
 e;objectClass:List<String>="com.liferay.xstream.configurator.XStreamC
 onfigurator";uses:="com.liferay.xstream.configurator",osgi.service;ob
 jectClass:List<String>="com.liferay.document.library.service.DLFileVe
 rsionPreviewLocalService",osgi.service;objectClass:List<String>="com.
 liferay.document.library.service.DLStorageQuotaLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.display.page.portlet.AssetDisplayPageEntryFormProcessor)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.asset.displa
 y.page.portlet.AssetDisplayPageFriendlyURLProvider)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.asset.display.page.s
 ervice.AssetDisplayPageEntryLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetEntr
 yLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.asset.util.AssetHelper)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.bulk.selection.BulkSelectionFactory)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.co
 unter.kernel.service.CounterLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.data.engine.service.DEDataDefi
 nitionFieldLinkLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.depot.service.DepotEntryLocalService)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.document
 .library.internal.configuration.admin.service.DLSizeLimitManagedServi
 ceFactory)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.internal.helper.DLExportableRepositoryPublis
 herHelper)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.kernel.service.DLAppHelperLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.documen
 t.library.kernel.service.DLAppLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.document.library.kernel.serv
 ice.DLAppService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.document.library.kernel.service.DLFileEntryLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 document.library.kernel.service.DLFileEntryMetadataLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.documen
 t.library.kernel.service.DLFileEntryTypeLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.document.library.k
 ernel.service.DLFileShortcutLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.document.library.kernel.servic
 e.DLFileVersionLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.document.library.kernel.service.DLFolderLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.kernel.service.DLFolderService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.document.librar
 y.kernel.service.DLTrashLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.document.library.kernel.service.DL
 TrashService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.document.library.kernel.service.persistence.DLFileEntryMet
 adataPersistence)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.document.library.kernel.service.persistence.DLFileEntr
 yPersistence)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.document.library.kernel.service.persistence.DLFileEntryTyp
 ePersistence)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.document.library.kernel.service.persistence.DLFileShortcut
 Persistence)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.document.library.kernel.service.persistence.DLFileVersionPe
 rsistence)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.kernel.service.persistence.DLFolderPersisten
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .document.library.kernel.store.Store)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.document.library.kernel.util.DLPro
 cessorRegistry)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.document.library.kernel.util.DLValidator)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.document.library.
 security.io.InputStreamSanitizer)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.document.library.service.DLFileVersion
 PreviewLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.document.library.service.DLStorageQuotaLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.d
 ocument.library.service.persistence.DLFileVersionPreviewPersistence)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.doc
 ument.library.service.persistence.DLStorageQuotaPersistence)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.document.li
 brary.sync.service.DLSyncEventLocalService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.document.library.util.DLAsse
 tHelper)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.document.library.util.DLURLHelper)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.document.library.versioning.Ver
 sionPurger)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.dynamic.data.lists.service.DDLRecordSetLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.da
 ta.mapping.io.DDMFormSerializer)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.dynamic.data.mapping.io.DDMFormValuesDe
 serializer)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.dynamic.data.mapping.io.DDMFormValuesSerializer)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.m
 apping.security.permission.DDMPermissionSupport)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.se
 rvice.DDMStructureLayoutLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.dynamic.data.mapping.service.DDMSt
 ructureLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.dynamic.data.mapping.service.DDMStructureVersionLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.dynamic.data.mapping.storage.DDMStorageEngineManager)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.da
 ta.mapping.storage.StorageEngine)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.dynamic.data.mapping.util.DDM)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.da
 ta.mapping.util.DDMIndexer)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.expando.kernel.util.ExpandoBridgeFactory)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.expor
 timport.content.processor.ExportImportContentProcessor)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.exportimport.ker
 nel.staging.Staging)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.exportimport.kernel.staging.permission.StagingPermi
 ssion)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.friendly.url.service.FriendlyURLEntryLocalService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.layout.page.templ
 ate.service.LayoutPageTemplateEntryService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.change.tracking.store
 .CTStoreFactory)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.configuration.upgrade.PrefsPropsToConfigurationU
 pgradeHelper)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.dao.orm.custom.sql.CustomSQL)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.json.jabsorb.seri
 alizer.LiferayJSONDeserializationWhitelist)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.configuration.
 Configuration)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.dao.orm.EntityCache)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.Fin
 derCache)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.dao.orm.SessionFactory)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.language.Lang
 uage)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.messaging.MessageBus)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.model.Release)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.module.framework.ModuleServiceLifecycle)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.repository
 .RepositoryProvider)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.search.IndexerRegistry)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 arch.RelatedEntryIndexer)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.search.RelatedEntryIndexerRegist
 ry)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.search.SummaryFactory)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.security.permission.
 resource.ModelResourcePermission)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.security.permission.reso
 urce.PortletResourcePermission)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.ClassNameLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.CompanyLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.service.Group
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.ImageLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servic
 e.RepositoryEntryLocalService)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.RepositoryLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.ResourceActionLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servic
 e.ResourceLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.ResourcePermissionLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.kernel.service.RoleLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.service.UserLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.WorkflowDefinitionLinkLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.WorkflowInstanceLinkLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 persistence.RepositoryEntryPersistence)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.service.persistenc
 e.RepositoryPersistence)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.persistence.change.tracki
 ng.helper.CTPersistenceHelper)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.upload.configuration.Upload
 ServletRequestConfigurationProvider)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.util.FriendlyURLNorma
 lizer)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.kernel.util.Html)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.util.Localization)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .util.Portal)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.util.PrefsProps)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.workflow.permiss
 ion.WorkflowPermission)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.search.batch.DynamicQueryBatchIndexingAct
 ionableFactory)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.search.index.IndexStatusManager)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.search.index
 er.IndexerWriter)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.search.localization.SearchLocalizationHelper)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.search.query.QueryHelper)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.search.spi.model.index.contributor.M
 odelIndexerWriterContributor)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.search.spi.model.query.contributor.
 ModelPreFilterContributor)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.search.spi.model.registrar.ModelSearch
 RegistrarHelper)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.portal.search.spi.model.result.contributor.ModelSummary
 Contributor)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.search.spi.model.result.contributor.ModelVisibilityC
 ontributor)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.sharing.security.permission.resource.SharingModelResourcePer
 missionConfigurator)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.staging.model.listener.StagingModelListener)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.subscript
 ion.service.SubscriptionLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.trash.TrashHelper)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.trash.service.Tras
 hEntryLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.trash.service.TrashEntryService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.trash.service.TrashVer
 sionLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.view.count.service.ViewCountEntryLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=javax.sql.DataSource)"
 ;effective:=active,osgi.service;filter:="(objectClass=org.osgi.servic
 e.cm.ConfigurationAdmin)";effective:=active,osgi.extender;filter:="(&
 (osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",o
 sgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=Java
 Servlet)(version=3.1.0))",osgi.contract;osgi.contract=JavaPortlet;fil
 ter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.ee;filter:=
 "(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.document.library.internal.asse
 t.auto.tagger.text.extractor.FileEntryTextExtractor.xml,OSGI-INF/com.
 liferay.document.library.internal.asset.categories.validator.External
 RepositoryAssetEntryValidatorExclusionRule.xml,OSGI-INF/com.liferay.d
 ocument.library.internal.bulk.selection.FileEntryBulkSelectionFactory
 .xml,OSGI-INF/com.liferay.document.library.internal.bulk.selection.Fi
 leShortcutBulkSelectionFactory.xml,OSGI-INF/com.liferay.document.libr
 ary.internal.bulk.selection.FolderBulkSelectionFactory.xml,OSGI-INF/c
 om.liferay.document.library.internal.bulk.selection.RepositoryModelBu
 lkSelectionFactory.xml,OSGI-INF/com.liferay.document.library.internal
 .bulk.selection.action.EditCategoriesBulkSelectionActionImpl.xml,OSGI
 -INF/com.liferay.document.library.internal.bulk.selection.action.Edit
 TagsBulkSelectionActionImpl.xml,OSGI-INF/com.liferay.document.library
 .internal.change.tracking.spi.reference.DLFileEntryMetadataTableRefer
 enceDefinition.xml,OSGI-INF/com.liferay.document.library.internal.cha
 nge.tracking.spi.reference.DLFileEntryTableReferenceDefinition.xml,OS
 GI-INF/com.liferay.document.library.internal.change.tracking.spi.refe
 rence.DLFileEntryTypeTableReferenceDefinition.xml,OSGI-INF/com.lifera
 y.document.library.internal.change.tracking.spi.reference.DLFileShort
 cutTableReferenceDefinition.xml,OSGI-INF/com.liferay.document.library
 .internal.change.tracking.spi.reference.DLFileVersionPreviewTableRefe
 renceDefinition.xml,OSGI-INF/com.liferay.document.library.internal.ch
 ange.tracking.spi.reference.DLFileVersionTableReferenceDefinition.xml
 ,OSGI-INF/com.liferay.document.library.internal.change.tracking.spi.r
 eference.DLFolderTableReferenceDefinition.xml,OSGI-INF/com.liferay.do
 cument.library.internal.change.tracking.spi.reference.RepositoryEntry
 TableReferenceDefinition.xml,OSGI-INF/com.liferay.document.library.in
 ternal.change.tracking.spi.reference.RepositoryTableReferenceDefiniti
 on.xml,OSGI-INF/com.liferay.document.library.internal.change.tracking
 .spi.resolver.DLFileEntryFileNameConstraintResolver.xml,OSGI-INF/com.
 liferay.document.library.internal.change.tracking.spi.resolver.DLFile
 EntryTitleConstraintResolver.xml,OSGI-INF/com.liferay.document.librar
 y.internal.change.tracking.spi.resolver.DLFileVersionConstraintResolv
 er.xml,OSGI-INF/com.liferay.document.library.internal.change.tracking
 .spi.resolver.DLFolderNameConstraintResolver.xml,OSGI-INF/com.liferay
 .document.library.internal.change.tracking.spi.resolver.RepositoryCon
 straintResolver.xml,OSGI-INF/com.liferay.document.library.internal.co
 nfiguration.DLSizeLimitConfigurationProviderImpl.xml,OSGI-INF/com.lif
 eray.document.library.internal.configuration.admin.service.DLSizeLimi
 tManagedServiceFactory.xml,OSGI-INF/com.liferay.document.library.inte
 rnal.configuration.definition.DLGroupServiceConfigurationPidMapping.x
 ml,OSGI-INF/com.liferay.document.library.internal.configuration.persi
 stence.listener.DLSizeLimitConfigurationModelListener.xml,OSGI-INF/co
 m.liferay.document.library.internal.convert.document.library.DLFileVe
 rsionDLStoreConvertProcess.xml,OSGI-INF/com.liferay.document.library.
 internal.convert.document.library.DLPreviewableProcessorDLStoreConver
 tProcess.xml,OSGI-INF/com.liferay.document.library.internal.convert.d
 ocument.library.DocumentLibraryConvertProcess.xml,OSGI-INF/com.lifera
 y.document.library.internal.convert.document.library.DocumentLibraryE
 xtraSettingsConvertProcess.xml,OSGI-INF/com.liferay.document.library.
 internal.convert.document.library.ImageDLStoreConvertProcess.xml,OSGI
 -INF/com.liferay.document.library.internal.display.context.DefaultDLM
 imeTypeDisplayContext.xml,OSGI-INF/com.liferay.document.library.inter
 nal.dynamic.data.mapping.util.DLFileEntryMetadataDDMStructurePermissi
 onSupport.xml,OSGI-INF/com.liferay.document.library.internal.dynamic.
 data.mapping.util.DLFileEntryMetadataDDMTemplatePermissionSupport.xml
 ,OSGI-INF/com.liferay.document.library.internal.dynamic.data.mapping.
 util.RawMetadataProcessorDDMStructurePermissionSupport.xml,OSGI-INF/c
 om.liferay.document.library.internal.expando.util.DLFileEntryExpandoV
 alueDeleteHandler.xml,OSGI-INF/com.liferay.document.library.internal.
 exportimport.data.handler.DLFileEntryTypeStagedModelDataHandler.xml,O
 SGI-INF/com.liferay.document.library.internal.exportimport.data.handl
 er.DLProcessorPluggableContentDataHandler.xml,OSGI-INF/com.liferay.do
 cument.library.internal.exportimport.data.handler.FileEntryStagedMode
 lDataHandler.xml,OSGI-INF/com.liferay.document.library.internal.expor
 timport.data.handler.FileShortcutStagedModelDataHandler.xml,OSGI-INF/
 com.liferay.document.library.internal.exportimport.data.handler.Folde
 rStagedModelDataHandler.xml,OSGI-INF/com.liferay.document.library.int
 ernal.exportimport.data.handler.RepositoryEntryStagedModelDataHandler
 .xml,OSGI-INF/com.liferay.document.library.internal.exportimport.data
 .handler.RepositoryStagedModelDataHandler.xml,OSGI-INF/com.liferay.do
 cument.library.internal.exportimport.staged.model.repository.DLFileEn
 tryTypeStagedModelRepository.xml,OSGI-INF/com.liferay.document.librar
 y.internal.exportimport.staged.model.repository.FileEntryStagedModelR
 epository.xml,OSGI-INF/com.liferay.document.library.internal.exportim
 port.staged.model.repository.FileShortcutStagedModelRepository.xml,OS
 GI-INF/com.liferay.document.library.internal.exportimport.staged.mode
 l.repository.FolderStagedModelRepository.xml,OSGI-INF/com.liferay.doc
 ument.library.internal.exportimport.staged.model.repository.Repositor
 yEntryStagedModelRepository.xml,OSGI-INF/com.liferay.document.library
 .internal.exportimport.staged.model.repository.RepositoryStagedModelR
 epository.xml,OSGI-INF/com.liferay.document.library.internal.friendly
 .url.resolver.FileEntryFriendlyURLResolverImpl.xml,OSGI-INF/com.lifer
 ay.document.library.internal.helper.DLAssetHelperImpl.xml,OSGI-INF/co
 m.liferay.document.library.internal.helper.DLExportableRepositoryPubl
 isherHelper.xml,OSGI-INF/com.liferay.document.library.internal.helper
 .DLURLHelperImpl.xml,OSGI-INF/com.liferay.document.library.internal.i
 nstance.lifecycle.AddDefaultDocumentLibraryStructuresPortalInstanceLi
 fecycleListener.xml,OSGI-INF/com.liferay.document.library.internal.in
 stance.lifecycle.DLFileEntryTypePermissionPortalInstanceLifecycleList
 ener.xml,OSGI-INF/com.liferay.document.library.internal.lock.DLFileEn
 tryLockListener.xml,OSGI-INF/com.liferay.document.library.internal.mo
 del.listener.CompanyModelListener.xml,OSGI-INF/com.liferay.document.l
 ibrary.internal.model.listener.DDMStructureModelListener.xml,OSGI-INF
 /com.liferay.document.library.internal.model.listener.DLAppDLFileEntr
 yModelListener.xml,OSGI-INF/com.liferay.document.library.internal.mod
 el.listener.DLAppDLFolderModelListener.xml,OSGI-INF/com.liferay.docum
 ent.library.internal.model.listener.DLFileEntryStagingModelListener.x
 ml,OSGI-INF/com.liferay.document.library.internal.model.listener.DLFi
 leEntryTypeStagingModelListener.xml,OSGI-INF/com.liferay.document.lib
 rary.internal.model.listener.DLFileShortcutStagingModelListener.xml,O
 SGI-INF/com.liferay.document.library.internal.model.listener.DLFileVe
 rsionModelListener.xml,OSGI-INF/com.liferay.document.library.internal
 .model.listener.DLFileVersionStagingModelListener.xml,OSGI-INF/com.li
 feray.document.library.internal.model.listener.DLFolderStagingModelLi
 stener.xml,OSGI-INF/com.liferay.document.library.internal.model.liste
 ner.DLStorageQuotaDLFileVersionModelListener.xml,OSGI-INF/com.liferay
 .document.library.internal.model.listener.RepositoryEntryStagingModel
 Listener.xml,OSGI-INF/com.liferay.document.library.internal.model.lis
 tener.RepositoryStagingModelListener.xml,OSGI-INF/com.liferay.documen
 t.library.internal.osgi.commands.DLStorageQuotaOSGiCommands.xml,OSGI-
 INF/com.liferay.document.library.internal.repository.capabilities.Lif
 erayVersioningCapability.xml,OSGI-INF/com.liferay.document.library.in
 ternal.repository.capabilities.PortalCapabilityLocatorImpl.xml,OSGI-I
 NF/com.liferay.document.library.internal.repository.event.FileVersion
 PreviewEventListenerImpl.xml,OSGI-INF/com.liferay.document.library.in
 ternal.search.DLFileEntryExpandoBridgeRetriever.xml,OSGI-INF/com.life
 ray.document.library.internal.search.DLFileEntryMetadataDDMStructureI
 ndexer.xml,OSGI-INF/com.liferay.document.library.internal.search.DLFi
 leEntryModelSearchContextContributor.xml,OSGI-INF/com.liferay.documen
 t.library.internal.search.DLFileEntryRelatedEntryIndexer.xml,OSGI-INF
 /com.liferay.document.library.internal.search.DLFileEntrySearchRegist
 rar.xml,OSGI-INF/com.liferay.document.library.internal.search.DLFileE
 ntrySearchResultContributor.xml,OSGI-INF/com.liferay.document.library
 .internal.search.DLFileEntryTypeSearchRegistrar.xml,OSGI-INF/com.life
 ray.document.library.internal.search.DLFolderSearchRegistrar.xml,OSGI
 -INF/com.liferay.document.library.internal.search.DLOpenSearchImpl.xm
 l,OSGI-INF/com.liferay.document.library.internal.search.spi.model.ind
 ex.contributor.DLFileEntryModelDocumentContributor.xml,OSGI-INF/com.l
 iferay.document.library.internal.search.spi.model.index.contributor.D
 LFileEntryModelIndexerWriterContributor.xml,OSGI-INF/com.liferay.docu
 ment.library.internal.search.spi.model.index.contributor.DLFileEntryR
 elatedEntryModelDocumentContributor.xml,OSGI-INF/com.liferay.document
 .library.internal.search.spi.model.index.contributor.DLFileEntryTypeM
 odelDocumentContributor.xml,OSGI-INF/com.liferay.document.library.int
 ernal.search.spi.model.index.contributor.DLFileEntryTypeModelIndexerW
 riterContributor.xml,OSGI-INF/com.liferay.document.library.internal.s
 earch.spi.model.index.contributor.DLFolderModelDocumentContributor.xm
 l,OSGI-INF/com.liferay.document.library.internal.search.spi.model.ind
 ex.contributor.DLFolderModelIndexerWriterContributor.xml,OSGI-INF/com
 .liferay.document.library.internal.search.spi.model.query.contributor
 .DLFileEntryKeywordQueryContributor.xml,OSGI-INF/com.liferay.document
 .library.internal.search.spi.model.query.contributor.DLFileEntryModel
 PreFilterContributor.xml,OSGI-INF/com.liferay.document.library.intern
 al.search.spi.model.query.contributor.DLFileEntryTypeKeywordQueryCont
 ributor.xml,OSGI-INF/com.liferay.document.library.internal.search.spi
 .model.query.contributor.DLFolderModelPreFilterContributor.xml,OSGI-I
 NF/com.liferay.document.library.internal.search.spi.model.result.cont
 ributor.DLFileEntryModelSummaryContributor.xml,OSGI-INF/com.liferay.d
 ocument.library.internal.search.spi.model.result.contributor.DLFileEn
 tryModelVisibilityContributor.xml,OSGI-INF/com.liferay.document.libra
 ry.internal.search.spi.model.result.contributor.DLFolderModelSummaryC
 ontributor.xml,OSGI-INF/com.liferay.document.library.internal.securit
 y.io.InputStreamSanitizerImpl.xml,OSGI-INF/com.liferay.document.libra
 ry.internal.security.permission.DLFileEntryPermissionUpdateHandler.xm
 l,OSGI-INF/com.liferay.document.library.internal.security.permission.
 DLFileEntryTypePermissionUpdateHandler.xml,OSGI-INF/com.liferay.docum
 ent.library.internal.security.permission.DLFolderPermissionUpdateHand
 ler.xml,OSGI-INF/com.liferay.document.library.internal.security.permi
 ssion.resource.DLFileEntryModelResourcePermissionWrapper.xml,OSGI-INF
 /com.liferay.document.library.internal.security.permission.resource.D
 LFileEntryTypeModelResourcePermissionWrapper.xml,OSGI-INF/com.liferay
 .document.library.internal.security.permission.resource.DLFileShortcu
 tModelResourcePermissionWrapper.xml,OSGI-INF/com.liferay.document.lib
 rary.internal.security.permission.resource.DLFolderModelResourcePermi
 ssionWrapper.xml,OSGI-INF/com.liferay.document.library.internal.secur
 ity.permission.resource.DLPortletResourcePermissionWrapper.xml,OSGI-I
 NF/com.liferay.document.library.internal.security.permission.resource
 .FileEntryModelResourcePermissionWrapper.xml,OSGI-INF/com.liferay.doc
 ument.library.internal.security.permission.resource.FileShortcutModel
 ResourcePermissionWrapper.xml,OSGI-INF/com.liferay.document.library.i
 nternal.security.permission.resource.FolderModelResourcePermissionWra
 pper.xml,OSGI-INF/com.liferay.document.library.internal.service.DataE
 ngineDLFileEntryTypeLocalServiceWrapper.xml,OSGI-INF/com.liferay.docu
 ment.library.internal.service.DepotDLFileEntryTypeLocalServiceWrapper
 .xml,OSGI-INF/com.liferay.document.library.internal.service.ExternalR
 epositoryDLAppHelperLocalServiceWrapper.xml,OSGI-INF/com.liferay.docu
 ment.library.internal.service.FriendlyURLDLFileEntryLocalServiceWrapp
 er.xml,OSGI-INF/com.liferay.document.library.internal.service.Subscri
 ptionDLAppHelperLocalServiceWrapper.xml,OSGI-INF/com.liferay.document
 .library.internal.service.SubscriptionDLAppLocalServiceWrapper.xml,OS
 GI-INF/com.liferay.document.library.internal.service.SubscriptionDLAp
 pServiceWrapper.xml,OSGI-INF/com.liferay.document.library.internal.se
 rvice.TrashEntryDLAppHelperLocalServiceWrapper.xml,OSGI-INF/com.lifer
 ay.document.library.internal.service.TrashEntryDLAppServiceWrapper.xm
 l,OSGI-INF/com.liferay.document.library.internal.service.TrashEntryDL
 FileShortcutLocalServiceWrapper.xml,OSGI-INF/com.liferay.document.lib
 rary.internal.settings.DLGroupServiceSettingsFallbackKeys.xml,OSGI-IN
 F/com.liferay.document.library.internal.trash.DLFileEntryTrashHandler
 .xml,OSGI-INF/com.liferay.document.library.internal.trash.DLFileShort
 cutTrashHandler.xml,OSGI-INF/com.liferay.document.library.internal.tr
 ash.DLFolderTrashHandler.xml,OSGI-INF/com.liferay.document.library.in
 ternal.upgrade.registry.DLServiceUpgradeStepRegistrator.xml,OSGI-INF/
 com.liferay.document.library.internal.util.DLProcessorRegistryImpl.xm
 l,OSGI-INF/com.liferay.document.library.internal.util.DLValidatorImpl
 .xml,OSGI-INF/com.liferay.document.library.internal.verify.DLServiceV
 erifyProcess.xml,OSGI-INF/com.liferay.document.library.internal.versi
 oning.ContentVersioningPolicy.xml,OSGI-INF/com.liferay.document.libra
 ry.internal.versioning.MetadataVersioningPolicy.xml,OSGI-INF/com.life
 ray.document.library.internal.versioning.VersionPurgerImpl.xml,OSGI-I
 NF/com.liferay.document.library.internal.versioning.VersioningPolicyV
 ersioningStrategy.xml,OSGI-INF/com.liferay.document.library.internal.
 workflow.DLFileEntryWorkflowHandler.xml,OSGI-INF/com.liferay.document
 .library.internal.xstream.configurator.DocumentLibraryXStreamConfigur
 ator.xml,OSGI-INF/com.liferay.document.library.service.impl.DLFileVer
 sionPreviewLocalServiceImpl.xml,OSGI-INF/com.liferay.document.library
 .service.impl.DLStorageQuotaLocalServiceImpl.xml,OSGI-INF/com.liferay
 .document.library.service.persistence.impl.DLFileVersionPreviewModelA
 rgumentsResolver.xml,OSGI-INF/com.liferay.document.library.service.pe
 rsistence.impl.DLFileVersionPreviewPersistenceImpl.xml,OSGI-INF/com.l
 iferay.document.library.service.persistence.impl.DLStorageQuotaModelA
 rgumentsResolver.xml,OSGI-INF/com.liferay.document.library.service.pe
 rsistence.impl.DLStorageQuotaPersistenceImpl.xml
Tool: Bnd-4.3.0.201909301554

